
QGIS Application - Bug report #13934

QGIS crashed when digitise SpatiaLite (geos 3.4)

2015-12-02 03:11 AM - Claas Leiner

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.12.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21952

Description

QGIS crashed when digitise SpatiaLite Layers less than 10 objects everytime.

This phenomenon occurs under QGIS 2.8 and QGIS 2-12  Linux on with geos 3.4.2-CAPI-1.8.2.

Under QGIS with Geos 3.5 under Windows everything is going well.

errormessage:

qgis.bin: geos_ts_c.cpp:3472: int GEOSCoordSeq_setOrdinate_r(GEOSContextHandle_t, geos::geom::CoordinateSequence*, unsigned

int, unsigned int, double): Zusicherung »0 != cs« nicht erfüllt.

Abgebrochen (Speicherabzug geschrieben)

Best regards

Claas

History

#1 - 2015-12-03 09:42 AM - Jürgen Fischer

Please provide a backtrace using the core dump you already have (see Creating a Backtrace)

#2 - 2015-12-03 12:24 PM - Jürgen Fischer

crash probably fixed in commit:cd830c4.

#3 - 2016-01-28 05:47 AM - Saber Razmjooei

- Status changed from Open to Feedback

#4 - 2016-02-09 03:11 AM - Claas Leiner

- File nutzung.sqlite added

The problem is still under QGIS 2.12.3 available on Ubuntu 14.04 when triggers are used to automatically calculate attribute columns, for example, to

calculate automatically the area size in a column.

Under Windows with Geos 3.5 everything is going well.

Also QGIS users who installed it on Suse Linux with Geos 3.5, this problem does not know.

Perhaps it would help if QGIS is built on Ubuntu 2.14 also with Geos 3.5?

Best wishes,
https://www.qgis.org/en/site/getinvolved/development/index.html#creating-a-backtrace


Claas

Below is a sample file

#5 - 2016-02-09 01:30 PM - Giovanni Manghi

Claas Leiner wrote:

The problem is still under QGIS 2.12.3 available on Ubuntu 14.04 when triggers are used to automatically calculate attribute columns, for example,

to calculate automatically the area size in a column.

Under Windows with Geos 3.5 everything is going well.

Also QGIS users who installed it on Suse Linux with Geos 3.5, this problem does not know.

Perhaps it would help if QGIS is built on Ubuntu 2.14 also with Geos 3.5?

Best wishes,

Claas

Below is a sample file

cannot replicate the crash on Ubuntu 14.04 and qgis master (geos 3.4.2) please give it a try and report back. Thanks!

#6 - 2016-02-25 01:09 PM - Josef Källgården

I have the same problem. Crashes occur quite often when I select a few features in a spatialite layer.

error message:

(qgis:5974): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

qgis: geos_ts_c.cpp:3472: int GEOSCoordSeq_setOrdinate_r(GEOSContextHandle_t, geos::geom::CoordinateSequence*, unsigned int, unsigned int,

double): Assertion `0 != cs' failed.

Aborted

QGIS 2.8.6 wih Geos 3.4.2-CAPI-1.8.2 on Linux Mint 17.2

#7 - 2016-02-25 09:39 PM - Martin Dobias

- Resolution set to up/downstream

- Status changed from Feedback to Closed

The issue can be replicated like this:

1. load SpatiaLite layer A

2. load SpatiaLite layer B

3. close layer A

4. on layer B, do an operation that triggers a query in SpatiaLite involving GEOS library (e.g. select features on map, identify, ...)

5. crash

This is actually upstream SpatiaLite bug - it is present in version 4.1.1 which is shipped with Ubuntu 14.04. SpatiaLite in that version gets the calls for

GEOS init/finish wrong, leading to this crash. I have checked and at least in SpatiaLite 4.3.0 this is resolved.

#8 - 2016-02-26 03:27 AM - Claas Leiner
Is there any hope that QGIS is 2.14 compiled for Ubuntu 14.04 with a support with SpatiaLite 4.3.0 and Geos 3.5? The installation of Geos 3.5 and 4.3

SpatiaLite has not helped.

#9 - 2016-07-29 09:10 AM - Luiz Andrade

- Status changed from Closed to Reopened

I'm having this trouble with some machines running kubuntu 14.04 and QGIS 2.14.4

When working with spatiality databases, QGIS crashes.

The problem is:

qgis.bin: geos_ts_c.cpp:3472: int GEOSCoordSeq_setOrdinate_r(GEOSContextHandle_t, geos::geom::CoordinateSequence*, unsigned int, unsigned int,

double): Assertion "0 != cs" failed.

Aborted (core dumped)

#10 - 2017-02-22 05:00 AM - Josef Källgården

I am still having this issue with GEOS 3.5. After a few edits of spatialite layers, with snapping and topology editing enabled, I get a crash:

qgis.bin: geos_ts_c.cpp:3657: int GEOSCoordSeq_setOrdinate_r(GEOSContextHandle_t, geos::geom::CoordinateSequence*, unsigned int,

unsigned int, double): Assertion `0 != cs' failed.

linux mint 17.3 with:

QGIS version 2.14.11-Essen

QGIS code branch Release 2.14

Compiled against Qt 4.8.6

Running against Qt 4.8.6

Compiled against GDAL/OGR 2.1.0

Running against GDAL/OGR 2.1.0

Compiled against GEOS 3.5.0-CAPI-1.9.0

Running against GEOS 3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version 9.3.4

SpatiaLite Version 4.1.1

QWT Version 5.2.3

PROJ.4 Version 480

QScintilla2 Version
2.8.1

#11 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#12 - 2019-03-09 03:07 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution changed from up/downstream to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

nutzung.sqlite 4.23 MB 2016-02-09 Claas Leiner
